Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.any23.vocab
Enum RDFSchemaUtils.VocabularyFormat

    java.lang.Object
      java.lang.Enum<RDFSchemaUtils.VocabularyFormat>
          org.apache.any23.vocab.RDFSchemaUtils.VocabularyFormat

All Implemented Interfaces:
  Serializable, Comparable<RDFSchemaUtils.VocabularyFormat>

Enclosing class:
  RDFSchemaUtils

    public static enum RDFSchemaUtils.VocabularyFormat

extends Enum<RDFSchemaUtils.VocabularyFormat>

Supported formats for vocabulary serialization.

Enum Constant Summary
`NQuads`
`NTriples`
`RDFXML`

Method Summary
`static RDFSchemaUtils.VocabularyFormat` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static RDFSchemaUtils.VocabularyFormat[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NQuads

    public static final RDFSchemaUtils.VocabularyFormat NQuads

### NTriples

    public static final RDFSchemaUtils.VocabularyFormat NTriples

### RDFXML

    public static final RDFSchemaUtils.VocabularyFormat RDFXML

Method Detail

### values

    public static RDFSchemaUtils.VocabularyFormat[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (RDFSchemaUtils.VocabularyFormat c : RDFSchemaUtils.VocabularyFormat.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static RDFSchemaUtils.VocabularyFormat valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010-2012 The Apache Software Foundation. All Rights Reserved.